Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 29 Apr 2020 12:50:49 +0200

On 4/29/20 10:09 AM, Bartlomiej Zolnierkiewicz wrote:
> 
> Hi Stephen,
> 
> On 4/29/20 12:33 AM, Stephen Rothwell wrote:
>> Hi all,
>>
>> On Mon, 20 Apr 2020 13:01:18 +1000 Stephen Rothwell <[email-masked]> wrote:
>>>
>>> After merging the drm-misc tree, today's linux-next build (powerpc
>>> allyesconfig) failed like this:
>>>
>>> drivers/video/fbdev/controlfb.c: In function 'controlfb_mmap':
>>> drivers/video/fbdev/controlfb.c:756:23: error: implicit declaration of function 'pgprot_cached_wthru'; did you mean 'pgprot_cached'? [-Werror=implicit-function-declaration]
>>>   756 |   vma->vm_page_prot = pgprot_cached_wthru(vma->vm_page_prot);
>>>       |                       ^~~~~~~~~~~~~~~~~~~
>>>       |                       pgprot_cached
>>> drivers/video/fbdev/controlfb.c:756:23: error: incompatible types when assigning to type 'pgprot_t' {aka 'struct <anonymous>'} from type 'int'
>>>
>>> Presumably exposed by commit
>>>
>>>   a07a63b0e24d ("video: fbdev: controlfb: add COMPILE_TEST support")
>>>
>>> I just turned off COMPILE_TEST again for today.  Please let me know when
>>> this is fixed.
>>
>> This still appears to have not been addressed.
> 
> Sorry for the delay, I've just posted a patch (also included below):
> 
> "[PATCH] video: fbdev: controlfb: fix build for COMPILE_TEST=y && PPC_PMAC=y && PPC32=n"
> 
> which should fix it.
> 
> Please verify it, thank you!

I have tested it with powerpc allyesconfig now and it adds one dependency too much,
fixed in v2:

https://lore.kernel.org/lkml/[email-masked]/

Sam, could you please review / merge it to drm-misc-next?

Best regards,
--
Bartlomiej Zolnierkiewicz
Samsung R&D Institute Poland
Samsung Electronics